/* CSS Reset & Global Styles */
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: Inter, -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Open Sans';
  -webkit-appearance: none;
}

.wrapper {
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  background-color: rgb(7, 210, 199);
  transition: 0.8s all;
}

h1 {
  margin-bottom: 1.5%;
  color: #fff;
  font-weight: normal;
}

.container {
  width: 350px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 80%;
}

.top-buttons {
  display: flex;
  align-items: center;
}

input {
  padding: 25px;
  color: rgb(87, 87, 87);
  font-size: 1em;
  cursor: pointer;
  width: 70px;
  background-color: #fff;
  border: none;
  outline: none;
  border-radius: 100px;
  margin: 0.2em;
}

.first-row,
.second-row,
.third-row,
.fourth-row,
.fifth-row {
  margin-bottom: 4px;
}

input[type="button"] {
  color: rgb(122, 122, 122);
}

input[type="text"] {
  background-color: rgb(255, 255, 255);
  width: 222.5px;
}

input[type="button"]:hover {
  background-color: rgb(205, 205, 205);
  color: #fff;
}

#clear-button {
  color: #fff;
  background-color: rgb(255, 25, 25);
}

#clear-button:hover {
  color: #fff;
  background-color: rgb(158, 3, 3);
}

#backspace-button {
  transform: rotate(-90deg);
}

#backspace-button,
#brackets-button,
#percentage-button,
#divide-button,
#multiply-button,
#subtract-button,
#plus-button,
#equal-button,
#decimal-button,
#negative-button {
  color: #000000;
}

a {
  text-decoration: none;
  color: #fff;
}

#github-icon {
  margin-right: 10px;
}

.theme-button {
  all: unset;
  cursor: pointer;
}